Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 5030)
@@ -58,7 +58,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/IndexingTimerTask.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 5030)
@@ -36,7 +36,7 @@
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.database.DatabaseService;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import org.apache.log4j.Logger;
Index: src/edu/ucsb/nceas/metacat/clientview/ClientViewHelper.java
===================================================================
--- src/edu/ucsb/nceas/metacat/clientview/ClientViewHelper.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/clientview/ClientViewHelper.java	(revision 5030)
@@ -18,7 +18,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.XMLUtilities;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import java.io.BufferedReader;
Index: src/edu/ucsb/nceas/metacat/PermissionController.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 5030)
@@ -38,7 +38,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/AuthStub.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthStub.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/AuthStub.java	(revision 5030)
@@ -32,7 +32,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import java.lang.InstantiationException;
Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 5030)
@@ -56,9 +56,9 @@
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.database.DatabaseService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.replication.ForceReplicationHandler;
 import edu.ucsb.nceas.metacat.replication.ReplicationService;
-import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchema;
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
Index: src/edu/ucsb/nceas/metacat/RelationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 5030)
@@ -22,7 +22,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
Index: src/edu/ucsb/nceas/metacat/dataquery/ConfigurableAuthenticatedEcogridEndPoint.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataquery/ConfigurableAuthenticatedEcogridEndPoint.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/dataquery/ConfigurableAuthenticatedEcogridEndPoint.java	(revision 5030)
@@ -33,7 +33,7 @@
 
 import org.ecoinformatics.datamanager.download.AuthenticatedEcogridEndPointInterface;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/dataquery/PostgresDatabaseConnectionPool.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataquery/PostgresDatabaseConnectionPool.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/dataquery/PostgresDatabaseConnectionPool.java	(revision 5030)
@@ -40,7 +40,7 @@
 import org.ecoinformatics.datamanager.database.DatabaseConnectionPoolInterface;
 import org.postgresql.jdbc3.Jdbc3PoolingDataSource;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/dataquery/DatabaseConnectionPoolFactory.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataquery/DatabaseConnectionPoolFactory.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/dataquery/DatabaseConnectionPoolFactory.java	(revision 5030)
@@ -31,7 +31,7 @@
  */
 package edu.ucsb.nceas.metacat.dataquery;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 import java.sql.Connection;
 import java.sql.SQLException;
Index: src/edu/ucsb/nceas/metacat/dataquery/ConfigurableEcogridEndPoint.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataquery/ConfigurableEcogridEndPoint.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/dataquery/ConfigurableEcogridEndPoint.java	(revision 5030)
@@ -33,7 +33,7 @@
 
 import org.ecoinformatics.datamanager.download.EcogridEndPointInterface;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/AccessionNumber.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 5030)
@@ -33,7 +33,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/workflow/WorkflowSchedulerClient.java
===================================================================
--- src/edu/ucsb/nceas/metacat/workflow/WorkflowSchedulerClient.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/workflow/WorkflowSchedulerClient.java	(revision 5030)
@@ -38,8 +38,8 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.DBTransform;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.scheduler.MetacatSchedulerException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.ErrorSendingErrorException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;

Index: src/edu/ucsb/nceas/metacat/util/GeoserverUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/GeoserverUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/GeoserverUtil.java	(revision 5030)
@@ -32,7 +32,7 @@
 import java.io.IOException;
 import java.util.HashMap;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/OrganizationUtil.java	(revision 5030)
@@ -28,7 +28,7 @@
 
 import java.util.Vector;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.StringUtil;
Index: src/edu/ucsb/nceas/metacat/util/ConfigurationUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/ConfigurationUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/ConfigurationUtil.java	(revision 5030)
@@ -29,9 +29,9 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
+import edu.ucsb.nceas.metacat.properties.SkinPropertyService;
 import edu.ucsb.nceas.metacat.service.ServiceService;
-import edu.ucsb.nceas.metacat.service.SkinPropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
@@ -66,9 +66,9 @@
 		} catch (MetacatUtilException ue) {
 			logMetacat.error("Could not determine if metacat is configured due to utility exception: "
 					+ ue.getMessage());
-		} catch (PropertyNotFoundException pnfe) {
+		} catch (GeneralPropertyException gpe) {
 			logMetacat.error("Could not determine if metacat is configured due to property exception: "
-					+ pnfe.getMessage());
+					+ gpe.getMessage());
 		}
 
 		return metacatConfigured;
Index: src/edu/ucsb/nceas/metacat/util/MetacatUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/MetacatUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/MetacatUtil.java	(revision 5030)
@@ -40,7 +40,7 @@
 import com.oreilly.servlet.multipart.FilePart;
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.FileUtil;
 
Index: src/edu/ucsb/nceas/metacat/AuthSession.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 5030)
@@ -35,7 +35,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 
Index: src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 5030)
@@ -43,7 +43,7 @@
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -92,7 +92,7 @@
 
     try {
       if (commandLineMode) {
-        PropertyService.getTestInstance(configDir);
+        PropertyService.getInstance(configDir);
       }
       else {
         PropertyService.getInstance();
Index: src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 5030)
@@ -6,7 +6,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 /**
  * Before Metacat 1.8.1 release, Metacat uses the eml201 schema with the tag
@@ -121,11 +121,11 @@
       * @param argus
       * @throws Exception
       */
-     public static void main(String[] argus) throws Exception
+     public static void main(String[] args) throws Exception
      {
     	 
     	 //initialize options and connection pool
-    	 PropertyService.getInstance();
+    	 PropertyService.getInstance(args[0]);
     	 DBConnectionPool connPool = DBConnectionPool.getInstance();
     	   	 
     	 // run the thread
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 5030)
@@ -44,7 +44,7 @@
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.http.HttpSession;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/database/DBConnection.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DBConnection.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/database/DBConnection.java	(revision 5030)
@@ -32,7 +32,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/oaipmh/harvester/OaipmhHarvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/oaipmh/harvester/OaipmhHarvester.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/oaipmh/harvester/OaipmhHarvester.java	(revision 5030)
@@ -68,7 +68,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -420,7 +420,7 @@
   private static void loadProperties(String metacatConfigDir) {   
 
     try {
-        PropertyService.getTestInstance(metacatConfigDir);
+        PropertyService.getInstance(metacatConfigDir);
     } 
     catch (ServiceException e) {
       logger.error("Error in loading properties: " + e.getMessage());
Index: src/edu/ucsb/nceas/metacat/Sitemap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Sitemap.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/Sitemap.java	(revision 5030)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/admin/AuthAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/AuthAdmin.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/AuthAdmin.java	(revision 5030)
@@ -39,12 +39,11 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.AuthSession;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
 import edu.ucsb.nceas.utilities.MetaDataProperty;
 import edu.ucsb.nceas.utilities.PropertiesMetaData;
-import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.SortedProperties;
 import edu.ucsb.nceas.utilities.StringUtil;
 
@@ -133,14 +132,14 @@
 				// Forward the request to the JSP page
 				RequestUtil.forwardRequest(request, response,
 						"/admin/auth-configuration.jsp", null);
-			} catch (PropertyNotFoundException pnfe) {
-				throw new AdminException("Problem getting property while initializing "
-						+ "LDAP properties page: " + pnfe.getMessage());
+			} catch (GeneralPropertyException gpe) {
+				throw new AdminException("AuthAdmin.configureAuth - Problem getting property " + 
+						"while initializing LDAP properties page: " + gpe.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while initializing "
+				throw new AdminException("AuthAdmin.configureAuth - IO problem while initializing "
 						+ "LDAP properties page:" + ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while " 
+				throw new AdminException("AuthAdmin.configureAuth - problem forwarding request while " 
 						+ "initializing LDAP properties page: " + se.getMessage());
 			}
 		} else {
@@ -203,7 +202,7 @@
 				}
 			
 			} catch (GeneralPropertyException gpe) {
-				String errorMessage = "Problem getting or setting property while "
+				String errorMessage = "AuthAdmin.configureAuth - Problem getting or setting property while "
 					+ "processing LDAP properties page: " + gpe.getMessage();
 				logMetacat.error(errorMessage);
 				processingErrors.add(errorMessage);
@@ -229,13 +228,13 @@
 							"/admin?configureType=configure&processForm=false", null);
 				}
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("AuthAdmin.configureAuth - problem forwarding request while "
 						+ "processing LDAP properties page: " + se.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while processing Authentication "
+				throw new AdminException("AuthAdmin.configureAuth - IO problem while processing Authentication "
 						+ "properties page: " + ioe.getMessage());
 			} catch (GeneralPropertyException gpe) {
-				String errorMessage = "Problem getting or setting property while "
+				String errorMessage = "AuthAdmin.configureAuth - Problem getting or setting property while "
 					+ "processing Authentication properties page: " + gpe.getMessage();
 				logMetacat.error(errorMessage);
 				processingErrors.add(errorMessage);
@@ -271,10 +270,10 @@
 				}
 			}
 		} catch (InstantiationException ie) {
-			errorVector.add("Instantiation error while verifying Metacat Administrators : "
+			errorVector.add("AuthAdmin.validateOptions - Instantiation error while verifying Metacat Administrators : "
 							+ ie.getMessage());
 		} catch (Exception e) {
-			errorVector.add("Error while verifying Metacat Administrators : "
+			errorVector.add("AuthAdmin.validateOptions - Error while verifying Metacat Administrators : "
 					+ e.getMessage());
 		}
 
